###
- Helm 3+

## Установка

```console
helm -n monitoring upgrade --install prometheus-kafka-exporter -f values.yml .
```

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` |  |
| annotations | object | `{}` |  |
| env | list | `[]` |  |
| image.pullPolicy | string | `"IfNotPresent"` |  |
| image.repository | string | `"danielqsj/kafka-exporter"` |  |
| image.tag | string | `"latest"` |  |
| kafka.enabled | bool | `false` |  |
| kafkaBrokerVersion | string | `nil` |  |
| kafkaServer[0] | string | `"kafka-server:9092"` |  |
| liveness.enabled | bool | `false` |  |
| liveness.probe.httpGet.path | string | `"/"` |  |
| liveness.probe.httpGet.port | string | `"exporter-port"` |  |
| nodeSelector | object | `{}` |  |
| prometheus.serviceMonitor.additionalLabels | object | `{}` |  |
| prometheus.serviceMonitor.enabled | bool | `false` |  |
| prometheus.serviceMonitor.interval | string | `"30s"` |  |
| prometheus.serviceMonitor.namespace | string | `"monitoring"` |  |
| rbac.create | bool | `true` |  |
| rbac.pspEnabled | bool | `true` |  |
| readiness.enabled | bool | `false` |  |
| readiness.probe.httpGet.path | string | `"/"` |  |
| readiness.probe.httpGet.port | string | `"exporter-port"` |  |
| replicaCount | int | `1` |  |
| resources | object | `{}` |  |
| service.annotations | object | `{}` |  |
| service.port | int | `9308` |  |
| service.type | string | `"ClusterIP"` |  |
| serviceAccount.create | bool | `true` |  |
| serviceAccount.name | string | `nil` |  |
| tls.enabled | bool | `false` |  |
| tolerations | list | `[]` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.5.0](https://github.com/norwoodj/helm-docs/releases/v1.5.0)
